Subject: RE: [Mip6] Security Section Commentsondraft-ietf-mip6-bootstrap-ps-01.txt

From: Gerardo Giaretta <[email-masked]>
Date: Tue, 01 Mar 2005 10:27:28 +0100

Hi John,

I agree the text should not refer to any specific scenario. 
I'm fine with the text you suggested, I was only trying to understand
how it fits in the old text.

Regards,
--Gerardo

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Monday, February 28, 2005 7:55 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: RE: [Mip6] Security Section 
> Commentsondraft-ietf-mip6-bootstrap-ps-01.txt
> 
> 
> Hi Gerardo,
> 
> It seems that I forgot about my original text, and I didn't really
> rewrite much!
> 
> Anyhow, what I meant to say was that this text should not be based
> (or refer to) any specific scenario - by supporting cryptographically
> seperate keys, deployments can get a benefit, which is that MNs don't
> need to re-authenticate the mobility service if the MN changes access
> network.  Its another story if deployments want this feature or not,
> but that, as said, is another story.
> 
> John
> 
> > -----Original Message-----
> > From: ext Gerardo Giaretta [mailto:[email-masked]]
> > Sent: 25 February, 2005 16:49
> > To: Loughney John (Nokia-NRC/Helsinki)
> > Cc: [email-masked]; [email-masked]
> > Subject: RE: [Mip6] Security Section
> > Commentsondraft-ietf-mip6-bootstrap-ps-01.txt
> > 
> > 
> > John,
> > 
> > just to understand correctly what text you'd like to 
> replace, are you
> > suggesting to change the text to:
> > 
> > "
> > In addition to these attacks, there are other 
> considerations that are
> > important in achieving a good security design. As mobility 
> and network
> > access authentication are seperate services, keys for these services
> > need to be cryptographically seperate, seperately named and have
> > seperate lifetimes. This allows the mobile node to change access
> > networks without performing a new mobility service authorization.
> > Finally, basic cryptographic processes must provide for multiple
> > algorithms in order to accommodate the widely varying 
> > deployment needs.
> > "
> > 
> > --Gerardo
> > 
> > 
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]] 
> > > Sent: Friday, February 25, 2005 7:09 AM
> > > To: [email-masked]; [email-masked]
> > > Cc: [email-masked]
> > > Subject: RE: [Mip6] Security Section 
> > > Commentsondraft-ietf-mip6-bootstrap-ps-01.txt
> > > 
> > > 
> > > James & Gerardo,
> > > 
> > > I get Gerardo's point, but the text starts to get unwieldy.
> > > Howabout something simple like:
> > > 
> > >  It allows the mobile node to change access networks without
> > >  performing a new mobility service authorization.
> > > 
> > > I would like not to get bogged down in deployment models, etc.
> > > but just discuss what the benefit is for seperating the keys.
> > > Maybe its best to stick to higher level issues; service providers
> > > will deploy as they see fit, but the draft should talk about
> > > the more egeneral properties and what it allows for.
> > > 
> > > John
> > > 
> > > 
> > > 
> > > > -----Original Message-----
> > > > From: ext James Kempf [mailto:[email-masked]]
> > > > Sent: 24 February, 2005 20:13
> > > > To: Gerardo Giaretta; Loughney John (Nokia-NRC/Helsinki)
> > > > Cc: [email-masked]
> > > > Subject: Re: [Mip6] Security Section
> > > > Commentsondraft-ietf-mip6-bootstrap-ps-01.txt
> > > > 
> > > > 
> > > > Gerardo,
> > > > 
> > > > How about if we change the sentence to:
> > > > 
> > > > "In addition, for scenerios where the access service 
> > > > authorizer and mobility
> > > > service provider are different, maintaining separate keys 
> > > > allows the host to
> > > > move from one access network to another without undergoing a 
> > > > new round of
> > > > mobility service authorization."
> > > > 
> > > >         jak
> > > > 
> > > > 
> > > > ----- Original Message ----- 
> > > > From: "Gerardo Giaretta" <[email-masked]>
> > > > To: <[email-masked]>; <[email-masked]>
> > > > Cc: <[email-masked]>
> > > > Sent: Thursday, February 24, 2005 5:18 AM
> > > > Subject: RE: [Mip6] Security Section
> > > > Commentsondraft-ietf-mip6-bootstrap-ps-01.txt
> > > > 
> > > > 
> > > > Hi John and James,
> > > > 
> > > > please see a comment below.
> > > > 
> > > > >
> > > > >  In addition to these attackes, there are other
> > > > > considerstions that are important
> > > > >  in achieving a good security design. As mobility and network
> > > > > access authentication
> > > > >  are seperate services, keys for these services need to be
> > > > > cryptographically
> > > > >  seperate, seperately named and have seperate lifetimes. This
> > > > > is needed because
> > > > >  if one service is compromised, the other service is not.
> > > > > This is necessary
> > > > >  so that a mobile host can move from one serving (or roaming)
> > > > > network access
> > > > >  provider to another without needing to change its mobility
> > > > > access provider.
> > > > >  Finally, basic cryptographic processes must provide for
> > > > > multiple algorithms in order
> > > > >  to accommodate the widely varying deployment needs.
> > > > >
> > > > 
> > > > Since it's not clear to me which scenario you are referring 
> > > to, could
> > > > you please clarify on this sentence of your proposed text:
> > > > 
> > > > "
> > > > This is necessary  so that a mobile host can move from one 
> > > serving (or
> > > > roaming) network access provider to another without needing 
> > > to change
> > > > its mobility access provider.
> > > > "
> > > > 
> > > > Thanks,
> > > > --Gerardo
> > > > 
> > > > 
> > > > > John
> > > > >
> > > > > _______________________________________________
> > > > > Mip6 mailing list
> > > > > [email-masked]
> > > > > https://www1.ietf.org/mailman/listinfo/mip6
> > > > >
> > > > 
> > > > 
> > > > Gruppo Telecom Italia - Direzione e coordinamento di Telecom 
> > > > Italia S.p.A.
> > > > 
> > > > 
> > ====================================================================
> > > > CONFIDENTIALITY NOTICE
> > > > This message and its attachments are addressed solely to 
> > the persons
> > > > above and may contain confidential information. If you 
> > have received
> > > > the message in error, be informed that any use of the 
> > content hereof
> > > > is prohibited. Please return it immediately to the sender 
> > and delete
> > > > the message. Should you have any questions, please send 
> > an e_mail to
> > > > [email-masked]. Thank you
> > > > 
> > ====================================================================
> > > > 
> > > > 
> > > > 
> > > 
> > 
> > 
> > Gruppo Telecom Italia - Direzione e coordinamento di Telecom 
> > Italia S.p.A.
> > 
> > ====================================================================
> > CONFIDENTIALITY NOTICE
> > This message and its attachments are addressed solely to the persons
> > above and may contain confidential information. If you have received
> > the message in error, be informed that any use of the content hereof
> > is prohibited. Please return it immediately to the sender and delete
> > the message. Should you have any questions, please send an e_mail to
> > [email-masked]. Thank you
> > ====================================================================
> > 
> 

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to 
[email-masked]. Thank you
====================================================================

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6